/*:
 * @plugindesc MOG_LMBSに移動速度を敏捷性に依存させるパラメータを追加します。
 * MOG_LMBS より下に導入してください。
 * @author ぽんぽこねるそん
 *
 * @help
 * <使い方>
 * アクター又は敵キャラのメモ欄に
 * LMBS AgiMove Spd: nと記述すると
 * そのキャラは戦闘での移動速度が敏捷性のn%になります。
 * ex.移動速度を敏捷性の10%にする場合
 * LMBS AgiMove Spd: 10
 *
 * このプラグインにはプラグインコマンドはありません。
 *
 */

(function() {
    var _pon_mog_lmbs_gbat_initMembers = Game_Battler.prototype.initMembers;
    Game_Battler.prototype.initMembers = function() {
        _pon_mog_lmbs_gbat_initMembers.call(this);
        this._lmbs_AgiMoveSpd = 0
    };

    var _pon_lmbsSetParametersTags = Game_Battler.prototype.lmbsSetParametersTags;
    Game_Battler.prototype.lmbsSetParametersTags = function() {
        _pon_lmbsSetParametersTags.call(this);
        this.notetags().forEach(function(note) {var note_data = note.split(': ')
            if (note_data[0].toLowerCase() == "lmbs agimove spd"){
                var par = note_data[1].split(':');
                this._lmbs_AgiMoveSpd = Number(par[0]);
         };
    }   ,this);
    };


    var _pon_lmbsMoveSpeed = Game_Battler.prototype.lmbsMoveSpeed;
    Game_Battler.prototype.lmbsMoveSpeed = function() {
        if (this._lmbs_AgiMoveSpd > 0){
            if (this.lmbsIsAirDashing()) {return this.agi * this._lmbs_AgiMoveSpd / 100 * 3}
            if (this.lmbsIsDashing()) {return this.agi * this._lmbs_AgiMoveSpd / 100 * 2}
            return this.agi * this._lmbs_AgiMoveSpd / 100;
        };
        return _pon_lmbsMoveSpeed.call(this);
    };
})();
